<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::gui::SendData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1gui_1_1_send_data.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classflair_1_1gui_1_1_send_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::gui::SendData Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Abstract class for sending datas to ground station.  
 <a href="classflair_1_1gui_1_1_send_data.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_send_data_8h_source.html">SendData.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::gui::SendData:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1gui_1_1_send_data.png" usemap="#flair::gui::SendData_map" alt=""/>
  <map id="flair::gui::SendData_map" name="flair::gui::SendData_map">
<area href="classflair_1_1gui_1_1_widget.html" title="Abstract class for all Framework&#39;s widget classes. " alt="flair::gui::Widget" shape="rect" coords="417,56,574,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="417,0,574,24"/>
<area href="classflair_1_1gui_1_1_data_plot.html" title="Abstract class to display plots on ground station. " alt="flair::gui::DataPlot" shape="rect" coords="167,168,324,192"/>
<area href="classflair_1_1gui_1_1_map.html" title="Class displaying a GPS map on the ground station. " alt="flair::gui::Map" shape="rect" coords="334,168,491,192"/>
<area href="classflair_1_1gui_1_1_picture.html" title="Class displaying a Picture on the ground station. " alt="flair::gui::Picture" shape="rect" coords="501,168,658,192"/>
<area href="classflair_1_1gui_1_1_range_finder_plot.html" title="Class displaying a 2D plot on the ground station for laser range finder like Hokuyo. " alt="flair::gui::RangeFinderPlot" shape="rect" coords="668,168,825,192"/>
<area href="classflair_1_1gui_1_1_data_plot1_d.html" title="Class displaying a 1D plot on the ground station. " alt="flair::gui::DataPlot1D" shape="rect" coords="0,224,157,248"/>
<area href="classflair_1_1gui_1_1_data_plot2_d.html" title="Class displaying a 2D plot on the ground station. " alt="flair::gui::DataPlot2D" shape="rect" coords="167,224,324,248"/>
<area href="classflair_1_1gui_1_1_us_sensor_plot.html" title="Class displaying a plot for raw us sensor. " alt="flair::gui::UsSensorPlot" shape="rect" coords="334,224,491,248"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa04532b4ace577ee66a143fd25cea981"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_send_data.html#aa04532b4ace577ee66a143fd25cea981">SendData</a> (const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *position, std::string name, std::string type, uint16_t default_periodms=100, bool default_enabled=false)</td></tr>
<tr class="memdesc:aa04532b4ace577ee66a143fd25cea981"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa04532b4ace577ee66a143fd25cea981">More...</a><br /></td></tr>
<tr class="separator:aa04532b4ace577ee66a143fd25cea981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a586331adf0774b18830b4b5ca29fe55f"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_send_data.html#a586331adf0774b18830b4b5ca29fe55f">~SendData</a> ()</td></tr>
<tr class="memdesc:a586331adf0774b18830b4b5ca29fe55f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a586331adf0774b18830b4b5ca29fe55f">More...</a><br /></td></tr>
<tr class="separator:a586331adf0774b18830b4b5ca29fe55f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac3294aeba6bc94162bc8a2c2da9decb"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_send_data.html#aac3294aeba6bc94162bc8a2c2da9decb">CopyDatas</a> (char *buf) const =0</td></tr>
<tr class="memdesc:aac3294aeba6bc94162bc8a2c2da9decb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy datas to specified buffer.  <a href="#aac3294aeba6bc94162bc8a2c2da9decb">More...</a><br /></td></tr>
<tr class="separator:aac3294aeba6bc94162bc8a2c2da9decb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3033561c5179161f1ad55f1fc685147"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa3033561c5179161f1ad55f1fc685147"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>SendSize</b> (void) const </td></tr>
<tr class="separator:aa3033561c5179161f1ad55f1fc685147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1675db79b0732ecfecc7979694a9e1fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1675db79b0732ecfecc7979694a9e1fa"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>SendPeriod</b> (void) const </td></tr>
<tr class="separator:a1675db79b0732ecfecc7979694a9e1fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46f71c4ca8a656c99595072ce3bbd59f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46f71c4ca8a656c99595072ce3bbd59f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsEnabled</b> (void) const </td></tr>
<tr class="separator:a46f71c4ca8a656c99595072ce3bbd59f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1gui_1_1_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1gui_1_1_widget')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td></tr>
<tr class="memitem:a7b867cc6c603cbc5e5a2f39f083a9494 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a7b867cc6c603cbc5e5a2f39f083a9494">Widget</a> (const <a class="el" href="classflair_1_1gui_1_1_widget.html">Widget</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:a7b867cc6c603cbc5e5a2f39f083a9494 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7b867cc6c603cbc5e5a2f39f083a9494">More...</a><br /></td></tr>
<tr class="separator:a7b867cc6c603cbc5e5a2f39f083a9494 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81110928e09e909dc1cc90971de4e8a9 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a81110928e09e909dc1cc90971de4e8a9">~Widget</a> ()</td></tr>
<tr class="memdesc:a81110928e09e909dc1cc90971de4e8a9 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a81110928e09e909dc1cc90971de4e8a9">More...</a><br /></td></tr>
<tr class="separator:a81110928e09e909dc1cc90971de4e8a9 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a814a933622114ad9c8f5d49014262d89 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a814a933622114ad9c8f5d49014262d89">setEnabled</a> (bool status)</td></tr>
<tr class="memdesc:a814a933622114ad9c8f5d49014262d89 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set enabled.  <a href="#a814a933622114ad9c8f5d49014262d89">More...</a><br /></td></tr>
<tr class="separator:a814a933622114ad9c8f5d49014262d89 inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a299877c38b297ada04542e4dfc5a2f4f inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a299877c38b297ada04542e4dfc5a2f4f">isEnabled</a> (void) const </td></tr>
<tr class="memdesc:a299877c38b297ada04542e4dfc5a2f4f inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is enabled?  <a href="#a299877c38b297ada04542e4dfc5a2f4f">More...</a><br /></td></tr>
<tr class="separator:a299877c38b297ada04542e4dfc5a2f4f inherit pub_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a0e325dd4651da3a0e98e62548025eeb1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_send_data.html#a0e325dd4651da3a0e98e62548025eeb1">SetSendSize</a> (size_t value)</td></tr>
<tr class="memdesc:a0e325dd4651da3a0e98e62548025eeb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Notify that SenData's datas have changed.  <a href="#a0e325dd4651da3a0e98e62548025eeb1">More...</a><br /></td></tr>
<tr class="separator:a0e325dd4651da3a0e98e62548025eeb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a5563472ae7457e2495e4fc2a299330"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_send_data.html#a9a5563472ae7457e2495e4fc2a299330">ExtraXmlEvent</a> (void)=0</td></tr>
<tr class="memdesc:a9a5563472ae7457e2495e4fc2a299330"><td class="mdescLeft">&#160;</td><td class="mdescRight">Extra Xml event.  <a href="#a9a5563472ae7457e2495e4fc2a299330">More...</a><br /></td></tr>
<tr class="separator:a9a5563472ae7457e2495e4fc2a299330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1gui_1_1_widget"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1gui_1_1_widget')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1gui_1_1_widget.html">flair::gui::Widget</a></td></tr>
<tr class="memitem:a0e81847db5a84b2e7e26545c9b1b704f inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a0e81847db5a84b2e7e26545c9b1b704f inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a0e81847db5a84b2e7e26545c9b1b704f">SetPersistentXmlProp</a> (std::string prop, T value)</td></tr>
<tr class="memdesc:a0e81847db5a84b2e7e26545c9b1b704f inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a persistent xml property.  <a href="#a0e81847db5a84b2e7e26545c9b1b704f">More...</a><br /></td></tr>
<tr class="separator:a0e81847db5a84b2e7e26545c9b1b704f inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6404c7f474be994ec4e72a97e45dfffa inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a6404c7f474be994ec4e72a97e45dfffa inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a6404c7f474be994ec4e72a97e45dfffa">GetPersistentXmlProp</a> (std::string prop, T &amp;value)</td></tr>
<tr class="memdesc:a6404c7f474be994ec4e72a97e45dfffa inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a persistent xml property.  <a href="#a6404c7f474be994ec4e72a97e45dfffa">More...</a><br /></td></tr>
<tr class="separator:a6404c7f474be994ec4e72a97e45dfffa inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe5ab96255919238138527c92fbeb6d8 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:abe5ab96255919238138527c92fbeb6d8 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#abe5ab96255919238138527c92fbeb6d8">SetVolatileXmlProp</a> (std::string prop, T value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:abe5ab96255919238138527c92fbeb6d8 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a volatile xml property.  <a href="#abe5ab96255919238138527c92fbeb6d8">More...</a><br /></td></tr>
<tr class="separator:abe5ab96255919238138527c92fbeb6d8 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac80f72906580f269b5881c1ef0b35afb inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#ac80f72906580f269b5881c1ef0b35afb">SendXml</a> (void)</td></tr>
<tr class="memdesc:ac80f72906580f269b5881c1ef0b35afb inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send xml.  <a href="#ac80f72906580f269b5881c1ef0b35afb">More...</a><br /></td></tr>
<tr class="separator:ac80f72906580f269b5881c1ef0b35afb inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ba37bd7fad0f4a97175d922b93b5434 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1gui_1_1_widget.html#a9ba37bd7fad0f4a97175d922b93b5434">UnsetPersistentXmlProp</a> (std::string prop)</td></tr>
<tr class="memdesc:a9ba37bd7fad0f4a97175d922b93b5434 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unset a persistent xml property.  <a href="#a9ba37bd7fad0f4a97175d922b93b5434">More...</a><br /></td></tr>
<tr class="separator:a9ba37bd7fad0f4a97175d922b93b5434 inherit pro_methods_classflair_1_1gui_1_1_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Abstract class for sending datas to ground station. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa04532b4ace577ee66a143fd25cea981"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::gui::SendData::SendData </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1gui_1_1_layout_position.html">LayoutPosition</a> *&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>default_periodms</em> = <code>100</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>default_enabled</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>

</div>
</div>
<a class="anchor" id="a586331adf0774b18830b4b5ca29fe55f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual flair::gui::SendData::~SendData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aac3294aeba6bc94162bc8a2c2da9decb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void flair::gui::SendData::CopyDatas </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>buf</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Copy datas to specified buffer. </p>
<p>This method must be reimplemented, in order to send datas to ground station.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>output buffer </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classflair_1_1gui_1_1_map.html#a0ba61b1b5046688eb8cdbedde133fe58">flair::gui::Map</a>.</p>

</div>
</div>
<a class="anchor" id="a0e325dd4651da3a0e98e62548025eeb1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void flair::gui::SendData::SetSendSize </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Notify that SenData's datas have changed. </p>
<p>This method must be called when the datas have changed. <br />
Normally, it occurs when a curve is added to a plot for example. <br />
This method automatically blocks and unblocks the communication. </p>

</div>
</div>
<a class="anchor" id="a9a5563472ae7457e2495e4fc2a299330"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void flair::gui::SendData::ExtraXmlEvent </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Extra Xml event. </p>
<p>This method must be reimplemented to handle extra xml event. <br />
It is automatically called when something changed from ground station, through XmlEvent method. <br />
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1gui.html">gui</a></li><li class="navelem"><a class="el" href="classflair_1_1gui_1_1_send_data.html">SendData</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
